BPM - Do we need to install Java? (484 Views)
Reply
Honored Contributor
Gino Castoldi_2
Posts: 1,365
Registered: ‎07-28-2000
Message 1 of 6 (484 Views)

BPM - Do we need to install Java?

We have BPM version 8.02 installed. When I created a new Vugen script it recorded fine.

However when I re-run the Vugen script it failed on a particular step and it got this error message:

"Your browser does not support or has disabled Javascript"

 

Our BPM installation does not have Java installed.

 

Do we now need to install Java on the BPM server?

 

Thanks,

Gino

Valued Contributor
gtodorov
Posts: 80
Registered: ‎10-29-2010
Message 2 of 6 (474 Views)

Re: BPM - Do we need to install Java?

I think yes.

You have to be able to recreate the steps using the local browser.

 

Advisor
xnilmon
Posts: 37
Registered: ‎04-06-2012
Message 3 of 6 (381 Views)

Re: BPM - Do we need to install Java?

Hi

Could you please give the exact error line with code which is shown in VU Gen.

 

Regular Advisor
ParagC
Posts: 81
Registered: ‎10-30-2012
Message 4 of 6 (376 Views)

Re: BPM - Do we need to install Java?

Hi,

 

BPM itself is an application server, so will definitely have its own version of jre.

Another interesting point is Vugen script is generally protocol based and don't depend much on the local environment when the BPM server runs it.

If you could please provide the runtime script log from the workspace that will good to understand further(mdrv.txt and output.txt).

 

Regards,

Parag

Honored Contributor
Gino Castoldi_2
Posts: 1,365
Registered: ‎07-28-2000
Message 5 of 6 (371 Views)

Re: BPM - Do we need to install Java?

Hi,

 

I looked at the installation requirements and found that Java JDK version 6.x needed to be installed. 

 

 

Thank you

-Gino

 

Advisor
xnilmon
Posts: 37
Registered: ‎04-06-2012
Message 6 of 6 (364 Views)

Re: BPM - Do we need to install Java?

Yes that is ture..but that is not to run the scripts but to host the server..like if you do not have java updated version you can not see the admin page(http://localhost:2696 ) at that pc.. but that should not affect script
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.